/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.wado;


/**
 * This class is used to specify config parameters for WADO. It accepts following parameters. Please note that all the parameters are necessary.
 Warning\Exception generate if no value is specified for any one of the parameters.
 
 1) aeTitle - Specifies the AE Title of the this Application Entity
 2) cstorescpPort - Specifies the C-Store SCP port number for receiving incoming C-Store Requests 
 3) cmovescpIP -  Specifies the C-Move SCP IP Address
 4) cmovescpPort - Specifies the C-Move SCP Port Number
 */

public class WadoConfig 
{
	
	//private byte[] arrVendorString = null;
	private String strAETitle = null;
	private int strCStoreSCPPort = 0;
	private String strCMoveSCPIP = null;
	private String strCStoreSCPIP = null;
	private int strCMoveSCPPort = 0;
	private String strCMoveAETitle = null;
	private String strCStoreAETitle = null;

	/**
	 * Get C-Store Application Entity Title
	 * @return strCStoreAETitle: AE Title for C-Store
	 */
	public String getCStoreAETitle() 
	{
		return strCStoreAETitle;
	}
	/**
	 * Set C-Store Application Entity Title
	 * @param strCStoreAETitle :AE Title for C-Store
	 */
	public void setCStoreAETitle(String strCStoreAETitle) 
	{
		this.strCStoreAETitle = strCStoreAETitle;
	}
	
	/**
	 * Get C-Move Application Entity Title
	 * @return strCMoveAETitle: AE Title for C-Move
	 */
	public String getCMoveAETitle() 
	{
		return strCMoveAETitle;
	}
	/**
	 * Set C-Move Application Entity Title
	 * @param strCMoveAETitle: AE Title for C-Move
	 */
	public void setCMoveAETitle(String strCMoveAETitle) 
	{
		this.strCMoveAETitle = strCMoveAETitle;
	}
	/**
	 * Get Application Entity Title
	 * @return strAETitle:  AE Title 
	 */
	public String getAETitle() 
	{
		return strAETitle;
	}
	/**
	 * Set Application Entity Title
	 * @param strAETitle: AE Title 
	 */
	public void setAETitle(String strAETitle) 
	{
		this.strAETitle = strAETitle;
	}
	/**
	 * Get Port number for C-Store
	 * @return strCStoreSCPPort: Port number for C-Store
	 */
	public int getCStoreSCPPort() 
	{
		return strCStoreSCPPort;
	}
	/**
	 * Set Port number for C-Store
	 * @param strCStoreSCPPort: Port number for C-Store
	 */
	public void setCStoreSCPPort(int strCStoreSCPPort) 
	{
		this.strCStoreSCPPort = strCStoreSCPPort;
	}
	/**
	 * Get IP address for C-Move
	 * @return strCMoveSCPIP: IP address for C-Move
	 */
	public String getCMoveSCPIP() 
	{
		return strCMoveSCPIP;
	}
	/**
	 * Set IP address for C-Move
	 * @param strCStoreSCPIP: IP address for C-Move
	 */
	public void setCMoveSCPIP(String strCStoreSCPIP) 
	{
		this.strCStoreSCPIP = strCStoreSCPIP;
	}
	/**
	 * Get IP address for C-Store
	 * @return strCStoreSCPIP: IP address for C-Store
	 */
	public String getCStoreSCPIP() 
	{
		return strCStoreSCPIP;
	}
	/**
	 * Set IP address for C-Store
	 * @param strCMoveSCPIP : IP address for C-Store
	 */
	public void setCStoreSCPIP(String strCMoveSCPIP) 
	{
		this.strCMoveSCPIP = strCMoveSCPIP;
	}
	/**
	 * Get Port number for C-Move
	 * @return strCMoveSCPPort : Port number for C-Move
	 */
	public int getCMoveSCPPort() 
	{
		return strCMoveSCPPort;
	}
	/**
	 * Set Port number for C-Move
	 * @param strCMoveSCPPort: Port number for C-Move
	 */
	public void setCMoveSCPPort(int strCMoveSCPPort) 
	{
		this.strCMoveSCPPort = strCMoveSCPPort;
	}
}
